Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbContentMarshallerHelper

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.JaxbContentMarshallerHelper

    public class JaxbContentMarshallerHelper

extends Object

Constructor Summary
`JaxbContentMarshallerHelper()`

Method Summary
`static org.kie.internal.task.api.model.ContentData` | `marshal(Object o, Environment env)`
`static org.kie.internal.task.api.model.FaultData` | `marshalFault(Map<String,Object> fault, Environment env)`
`static Object` | `unmarshall(byte[] content, Environment env)`
`static Object` | `unmarshall(byte[] content, Environment env, ClassLoader classloader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbContentMarshallerHelper

    public JaxbContentMarshallerHelper()

Method Detail

### marshal

    public static org.kie.internal.task.api.model.ContentData marshal(Object o,
                                                                      Environment env)

### marshalFault

    public static org.kie.internal.task.api.model.FaultData marshalFault(Map<String,Object> fault,
                                                                         Environment env)

### unmarshall

    public static Object unmarshall(byte[] content,
                                    Environment env)

### unmarshall

    public static Object unmarshall(byte[] content,
                                    Environment env,
                                    ClassLoader classloader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.